@import url("https://fonts.googleapis.com/css2?family=Roboto&display=swap");

@font-face {
  font-family: "Georgia";
  font-style: normal;
  font-weight: 400;
  src: local("Georgia");
  src: url(../assets/fonts/georgia\ regular.woff2) format("woff2");
  font-display: swap;
}

@font-face {
  font-family: "Georgia";
  font-style: normal;
  font-weight: 700;
  src: local("Georgia");
  src: url(../assets/fonts/georgia\ bold.woff2) format("woff2");
  font-display: swap;
}

html {
  height: 100%;
  scroll-behavior: smooth;
}

body {
  display: flex;
  flex-direction: column;
  box-sizing: border-box;
  width: 100%;
  min-height: 100%;
  margin: 0 auto;

  font-family: "Roboto", sans-serif;
  font-style: normal;
  font-size: 15px;
  line-height: 24px;
  font-weight: 400;
  color: #4c4c4c;
  text-align: justify;

  background-color: #ffffff;
  overflow-x: hidden;
}

.lock {
  width: 100vw;
  height: 100vh;
  overflow: hidden;
}

.visually-hidden {
  position: absolute;

  width: 1px;
  height: 1px;
  margin: -1px;
  padding: 0;
  overflow: hidden;

  white-space: nowrap;

  border: 0;

  clip: rect(0 0 0 0);
  -webkit-clip-path: inset(100%);
  clip-path: inset(100%);
}

.blackout {
  display: none;
}

.blackout_active {
  display: block;
  position: fixed;
  width: 100%;
  height: 100%;
  overflow: hidden;
  top: 0;
  left: 0;
  z-index: 1;

  background-color: rgba(41, 41, 41, 0.6);
}

.blackout_active:hover {
  cursor: pointer;
}

.modal {
  display: none;
  position: fixed;
  width: 900px;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  z-index: 2;

  background-color: transparent;
}

.modal_active {
  display: block;
}

.modal__button {
  position: absolute;
  box-sizing: border-box;
  width: 52px;
  height: 52px;
  font-size: 28px;
  padding: 10px 14px;
  top: -52px;
  right: -42px;

  transform: rotate(45deg);
  background-color: transparent;
  border-radius: 50%;
  border: 2px solid #f1cdb3;

  cursor: pointer;
}

.modal__button-hover {
  background-color: #fddcc4;
  border-color: #fddcc4;
}

.modal__button:hover {
  background-color: #fddcc4;
  border-color: #fddcc4;
}

.modal__container {
  display: flex;
  width: 900px;

  font-family: "Georgia", serif;
  font-style: normal;
  font-weight: 400;
  font-size: 15px;
  line-height: 17px;
  letter-spacing: 0.06em;

  background-color: #ffffff;
  color: #000000;
  border-radius: 9px;
}

.modal__image {
  width: 500px;
  height: 500px;
  margin: auto 0;

  border-top-left-radius: 9px;
  border-bottom-left-radius: 9px;
}

.modal__content {
  padding-top: 50px;
  padding-left: 29px;
  padding-right: 20px;
}

.modal__title {
  margin: 0;
  margin-bottom: 9px;

  font-weight: 400;
  font-size: 35px;
  line-height: 130%;
  letter-spacing: 0.06em;
}

.modal__subtitle {
  font-size: 20px;
  line-height: 115%;
  letter-spacing: 0.06em;
}

.modal__description {
  margin: 40px 0;
}

.modal__list {
  margin: 0;
  padding: 0;

  list-style-type: none;
}

.modal__item {
  position: relative;
  margin-bottom: 11px;
  padding-left: 14px;
}

.modal__item::before {
  position: absolute;
  content: "";
  width: 4px;
  height: 4px;
  top: 7px;
  left: 0;

  background-color: #f1cdb3;
  border-radius: 50%;
}

@media (max-width: 1279px) {
  .modal {
    width: 682px;
    left: calc(50% + 21px);
  }

  .modal__button {
    top: -52px;
    right: 10px;
  }

  .modal__container {
    width: 630px;
  }

  .modal__image {
    width: 350px;
    height: 350px;
  }

  .modal__content {
    padding: 10px;
  }

  .modal__description {
    margin: 20px 0;
  }

  .modal__item {
    margin-bottom: 5px;
  }
}

@media (max-width: 767px) {
  .modal {
    width: 271px;
    left: calc(50% + 15px);
  }

  .modal__button {
    right: 0px;
  }

  .modal__container {
    width: 240px;
  }

  .modal__image {
    display: none;
  }

  .modal__title {
    text-align: center;
  }

  .modal__subtitle {
    display: block;

    text-align: center;
  }

  .modal__description {
    margin-bottom: 24px;

    text-align: justify;
  }

  .modal__item {
    margin-bottom: 5px;
  }
}
